/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.util;

import java.util.function.Supplier;

public class ConfigHelper {
    public static <T> T getOrFallback(Supplier<T> supplier, T fallback) {
        try {
            return supplier.get();
        } catch (IllegalStateException e) {
            return fallback;
        }
    }
}